require "kaminari/config"
require "kaminari/models/configuration_methods"

module ActiveResource::Hel
  module RemotePagination
    extend ActiveSupport::Concern
    include Kaminari::ConfigurationMethods

    included do

      scope :paginate, Proc.new {|page, per_page = nil |

        page     = (page || 1).to_i
        page     = 1 if page <= 0
        per_page = (per_page || Kaminari.config.default_per_page).to_i

        where(:start => ((page - 1) * per_page), :limit => per_page)
      }

    end

    module ClassMethods
    end
  end
end